Index: backend_qt4.py
===================================================================
--- backend_qt4.py      (revision 8402)
+++ backend_qt4.py      (working copy)
@@ -314,16 +314,19 @@
         self.window._destroying = False

         self.toolbar = self._get_toolbar(self.canvas, self.window)
-        self.window.addToolBar(self.toolbar)
-        QtCore.QObject.connect(self.toolbar, QtCore.SIGNAL("message"),
-                self.window.statusBar().showMessage)
+        if self.toolbar is not None:
+            self.window.addToolBar(self.toolbar)
+            QtCore.QObject.connect(self.toolbar, QtCore.SIGNAL("message"),
+                                   self.window.statusBar().showMessage)
+            tbs_height = self.toolbar.sizeHint().height()
+        else:
+            tbs_height = 0

         # resize the main window so it will display the canvas with the
         # requested size:
         cs = canvas.sizeHint()
-        tbs = self.toolbar.sizeHint()
         sbs = self.window.statusBar().sizeHint()
-        self.window.resize(cs.width(), cs.height()+tbs.height()+sbs.height())
+        self.window.resize(cs.width(), cs.height()+tbs_height+sbs.height())

         self.window.setCentralWidget(self.canvas)

@@ -335,7 +338,8 @@

         def notify_axes_change( fig ):
            # This will be called whenever the current axes is changed
-           if self.toolbar != None: self.toolbar.update()
+           if self.toolbar is not None:
+               self.toolbar.update()
         self.canvas.figure.add_axobserver( notify_axes_change )

     def _widgetclosed( self ):
